Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.batchadapter.util
Class RegexPathFinder

    java.lang.Object
      com.stc.connector.batchadapter.util.RegexPathFinder

    public class RegexPathFinder

extends java.lang.Object

jim.fu@sun.com TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Constructor Summary
`RegexPathFinder()`

Method Summary
`static LocalFileName` | `getFirstLocalFileName(java.lang.String directory, boolean directoryIsPattern, java.lang.String file, boolean fileIsPattern)`
`static java.lang.String[]` | `listFileNames(java.util.ArrayList dirs, java.lang.String remoteFileRegExp, boolean oneFile, FtpHeuristics h, DirectoryProvider provider, java.lang.String[] firstFile, java.lang.String[] directory)` Lists the remote file names based on the remote directory list and remote file regular expression.
`static java.lang.String[]` | `listFileNames(java.lang.String dir, boolean isDirRegex, java.lang.String file, boolean isFileRegex, boolean oneFile, FtpHeuristics h, DirectoryProvider provider, java.lang.String[] firstFile, java.lang.String[] directory)` Lists the remote file names based on the remote directory regular expression and remote file regular expression.
`static java.lang.String[]` | `listFileNames(java.lang.String remoteDir, java.lang.String regExp, boolean oneFile, FtpHeuristics h, DirectoryProvider provider, java.lang.String[] firstFile, java.lang.String[] directory)` Lists the remote file names based on the remote directory and remote file regular expression.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegexPathFinder

    public RegexPathFinder()

Method Detail

### listFileNames

    public static java.lang.String[] listFileNames(java.lang.String remoteDir,
                                                   java.lang.String regExp,
                                                   boolean oneFile,
                                                   FtpHeuristics h,
                                                   DirectoryProvider provider,
                                                   java.lang.String[] firstFile,
                                                   java.lang.String[] directory)
                                            throws java.lang.Exception

  Lists the remote file names based on the remote directory and remote file regular expression.

  Parameters:
    `remoteDir` - The remote directory name.
    `remoteFileRegExp` - The file regular expression.
    `oneFile` - true asks for only one file, false asks for a list all qualified files.
  Returns:
    The full file names.
  Throws:
    `java.io.IOException` - If some error occurs.
    `java.lang.Exception`

### listFileNames

    public static java.lang.String[] listFileNames(java.lang.String dir,
                                                   boolean isDirRegex,
                                                   java.lang.String file,
                                                   boolean isFileRegex,
                                                   boolean oneFile,
                                                   FtpHeuristics h,
                                                   DirectoryProvider provider,
                                                   java.lang.String[] firstFile,
                                                   java.lang.String[] directory)
                                            throws java.lang.Exception

  Lists the remote file names based on the remote directory regular expression and remote file regular expression.

  Parameters:
    `dir` - The directory name.
    `isDirRegex` - Determines whether the directory name is a regular expression.
    `file` - The file name.
    `isFileRegex` - Determines whether the file name is a regular expression.
    `oneFile` - true asks for only one file, false asks for a list all qualified files.
  Returns:
    The full file names.
  Throws:
    `java.lang.Exception` - If some error occurs.

### listFileNames

    public static java.lang.String[] listFileNames(java.util.ArrayList dirs,
                                                   java.lang.String remoteFileRegExp,
                                                   boolean oneFile,
                                                   FtpHeuristics h,
                                                   DirectoryProvider provider,
                                                   java.lang.String[] firstFile,
                                                   java.lang.String[] directory)
                                            throws java.lang.Exception

  Lists the remote file names based on the remote directory list and remote file regular expression.

  Parameters:
    `dirs` - The directory regular expression list.
    `remoteFileRegExp` - The file regular expression.
    `oneFile` - true asks for only one file, false asks for a list all qualified files.
  Returns:
    The full file names.
  Throws:
    `java.io.IOException` - If some error occurs.
    `java.lang.Exception`

### getFirstLocalFileName

    public static LocalFileName getFirstLocalFileName(java.lang.String directory,
                                                      boolean directoryIsPattern,
                                                      java.lang.String file,
                                                      boolean fileIsPattern)
                                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD